#include "libscl.h"

using namespace std;
using namespace scl;

int main()
{
  realmat tmp;
  realmat e; 
  realmat x;
  realmat F,F0;

  ifstream edat2_stream("edat2.dat");
  vecread(edat2_stream,tmp);
  e = tmp("1:4","");
  F0 = tmp("5","");
  
  edf(e,e,F,1.0/100.0);

  cout << starbox("\nedf(e,e,F,1.0/100.0)\n\n;",'\n') << rbind(F0,F);

  ifstream x_stream("sim_yr.dat");
  vecread(x_stream,x);

  ifstream esim2_stream("esim2.dat");
  vecread(esim2_stream,tmp); 
  F0 = tmp("5",""); 
  
  edf(x,e,F,1.0/100.0);

  cout << starbox("\nedf(x,e,F,1.0/100.0)\n\n",'\n') << rbind(F0,F);

  ifstream edat0_stream("edat0.dat");
  vecread(edat0_stream,tmp);
  e = tmp("1:4","");
  F0 = tmp("5","");
  
  edf(e,e,F,0.0);

  cout << starbox("/edf(e,e,F,0.0)//") << rbind(F0,F); 

  ifstream esim0_stream("esim0.dat");
  vecread(esim0_stream,tmp);
  F0 = tmp("5","");
  
  edf(x,e,F,0.0);

  cout << starbox("/edf(x,e,F,0.0)//") << rbind(F0,F); 
  
  edf(x,e,F);

  cout << starbox("/edf(x,e,F)//") << rbind(F0,F); 
  
  return 0;
}

